﻿using System;
using System.Windows;
using WpfGeoTagger.ViewModels;
using WpfGeoTagger.Views;

namespace WpfGeoTagger
{
	/// <summary>
	/// App.xaml の相互作用ロジック
	/// </summary>
	public partial class App : Application
	{
		/// <summary>
		/// アプリケーションが開始される時のイベントです。
		/// </summary>
		/// <param name="e">イベント データ。</param>
		protected override void OnStartup( StartupEventArgs e )
		{
			string uri = String.Format( "file://{0}html\\index.html", AppDomain.CurrentDomain.BaseDirectory );

			var window = new MainWindow();
			window.DataContext = new MainWindowViewModel( uri );
			window.Show();
		}
	}
}
